﻿''' <summary>
''' This module only exists to allow us to fire up the Test project
''' 
''' All the important code is in the WMPRemote.vb file
''' </summary>
''' <remarks></remarks>
Module modMain

    ''' <summary>
    ''' The main entry point for the application.
    ''' </summary>
    ''' 
    <STAThread()> _
    Public Sub Main()

        '---- check in WMP is loaded, if not, there's nothing much to do
        If Not WMPRemote.IsWindowMediaPlayerLoaded Then
            MsgBox("WMP is not already loaded")
            End
        End If

        '---- request a reference to the active player
        Dim Player = WMPRemote.ActivePlayer

        '---- hook up to monitor 2 events, you could, of course, monitor any events you wish
        '     or store PLAYER in a WITHEVENTS variable to hook up events even easier
        AddHandler Player.CurrentItemChange, AddressOf CurrentItemChange
        AddHandler Player.PlayStateChange, AddressOf PlayStateChange

        '---- this starts the application by showing the dummy form
        '     when the dummy closes, the entire app will close as well.
        Application.Run(New frmDummy)
    End Sub


    ''' <summary>
    ''' Monitor for any changes to What's currently playing in WMP
    ''' </summary>
    ''' <param name="obj"></param>
    ''' <remarks></remarks>
    Private Sub CurrentItemChange(obj As Object)
        Dim media = TryCast(obj, WMPLib.IWMPMedia)
        If media IsNot Nothing Then
            Debug.Print(media.getItemInfo("name"))
            Debug.Print(media.getItemInfo("artist"))
            Debug.Print(media.getItemInfo("album"))
        End If
    End Sub


    ''' <summary>
    ''' Monitor any changes in the play state (Playing, paused, stopped, etc)
    ''' </summary>
    ''' <param name="State"></param>
    ''' <remarks></remarks>
    Private Sub PlayStateChange(State As Integer)
        Debug.Print("Play State:" & State.ToString)
    End Sub
End Module
